DNS Zones
Import Zone File
post
/dns/zones/{zone_uuid}/importImport DNS records from a BIND-compatible zone file to an existing zone.
Parses the uploaded zone file and creates DNS records. SOA and NS records, and records that already exist, are skipped. Imported records start being served once the zone is verified.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
zone_uuid*string
Cuerpo de la petición
multipart/form-dataObligatorio
file*string
BIND zone file to import
Respuestas
Successful Response
application/json
imported*integer
skipped*integer
errors*array<string>
records*array<DNSRecordOut>
Propiedades (12)
uuid*string
name*string
record_type*DNSRecordType
Valores
"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formato
date-timeupdated_at*string
Formato
date-time